/***************************************************************************
 *                                                                         *
 *   VoicerLib 3.0 Linux Version                                           *
 *                                                                         * 
 *   Copyright (c) 2004, Digivoice Tecnologia em Eletr�ica Ltda           *
 *                                                                         * 
 *   Author: Paulo Garcia                                                  * 
 *   paulo@digivoice.com.br                                                *
 *                                                                         *
 *                                                                         *
 *  This software is licensed under Digivoice Public License               * 
 *                                                                         *
 *	Copyright (c) 2004, Digivoice Tecnologia em Eletr�ica Ltda            *
 *	All rights reserved.                                                   *
 *                                                                         *
 *	Redistribution and use in source and binary forms, with or without     *
 *	modification, are permitted provided that the following conditions     *
 *  are met:                                                               *
 *                                                                         *
 * - Redistributions of source code must retain the above copyright        *
 *   notice, this list of conditions and the following disclaimer.         *
 * - Redistributions in binary form must reproduce the above copyright     *
 *   notice, this list of conditions and the following disclaimer in the   * 
 *   documentation and/or other materials provided with the distribution.  *
 * - Modifications must not alter or remove any copyright notices in       *
 *   the Software and related documents.                                   *
 * - Any modifications in the original source code or modified versions of *
 *   this library must be available under this license.                    *
 * - You may develop application programs, reusable components and other   *
 *   software items that link with the original or modified versions of    *
 *   this library and release them under the license you wish.             *
 * - Neither the name of the Digivoice Tecnologia em Eletr�ica Ltda,      *
 *   VoicerLib nor the names of its contributors may be used to endorse    *
 *   or promote products derived from this software without specific prior *
 *   written permission.                                                   *
 *                                                                         *
 *  DISCLAIMER                                                             *
 *                                                                         *  
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS    *
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT      *
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR  *
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT   *
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,  *
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT       *
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,  * 
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY  *
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT    *
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE  *
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.   *
 *                                                                         * 
 ***************************************************************************/


//Evita multiplas declaracoes
#ifndef __INIFILE__
#define __INIFILE__

#include <stdio.h>

#define SIZE_FILE                255
#define SIZE_LINE_INI            255
#define MAXLINES                 1024
#define FALSE                    0
#define TRUE                     1


/* Function Declarations */
    void WriteString(char *,char *);
    unsigned ReadString(char *,char *, unsigned,char *);
    int OpenIniFile(char *);   //opens the ini
    void CloseIniFile(short dosave);    //Flushes and close ini file
	int GetPrivateProfileInt(char *, char *, int, char *);
    int GetPrivateProfileString(char *szSection, char *Item, char *szDefault, char *szReturnValue, int nTamStr, char *szFile);
#endif
